# Uses of Interface
org.eclipse.birt.chart.model.data.Trigger

Packages that use Trigger
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Trigger in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Trigger
Modifier and Type
Method
Description
`Trigger`
GObjectFactory.`copyOf(Trigger src)`
`Trigger`
IGObjectFactory.`copyOf(Trigger src)`
`Trigger`
GObjectFactory.`createTrigger(TriggerCondition tc, Action a)`
`Trigger`
IGObjectFactory.`createTrigger(TriggerCondition tc, Action a)`
Methods in org.eclipse.birt.chart.computation with parameters of type Trigger
Modifier and Type
Method
Description
`Trigger`
GObjectFactory.`copyOf(Trigger src)`
`Trigger`
IGObjectFactory.`copyOf(Trigger src)`

## Uses of Trigger in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Trigger
Modifier and Type
Method
Description
`Trigger[]`
InteractionEvent.`getTriggers()`
Methods in org.eclipse.birt.chart.event with parameters of type Trigger
Modifier and Type
Method
Description
`void`
InteractionEvent.`addTrigger(Trigger t)`
Adds trigger to current event.

## Uses of Trigger in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return types with arguments of type Trigger
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Trigger>`
Axis.`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`org.eclipse.emf.common.util.EList<Trigger>`
MarkerLine.`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`org.eclipse.emf.common.util.EList<Trigger>`
MarkerRange.`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`org.eclipse.emf.common.util.EList<Trigger>`
Series.`getTriggers()`
Returns the value of the 'Triggers' containment reference list.

## Uses of Trigger in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type Trigger
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Trigger>`
AxisImpl.`getTriggers()`
`org.eclipse.emf.common.util.EList<Trigger>`
MarkerLineImpl.`getTriggers()`
`org.eclipse.emf.common.util.EList<Trigger>`
MarkerRangeImpl.`getTriggers()`
`org.eclipse.emf.common.util.EList<Trigger>`
SeriesImpl.`getTriggers()`

## Uses of Trigger in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return Trigger
Modifier and Type
Method
Description
`Trigger`
Trigger.`copyInstance()`
`Trigger`
DataFactory.`createTrigger()`
Returns a new object of class 'Trigger'.

## Uses of Trigger in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement Trigger
Modifier and Type
Class
Description
`class`
`TriggerImpl`
An implementation of the model object ' Trigger'.
Methods in org.eclipse.birt.chart.model.data.impl that return Trigger
Modifier and Type
Method
Description
`Trigger`
TriggerImpl.`copyInstance()`
`static final Trigger`
TriggerImpl.`create(TriggerCondition tc, Action a)`
This convenience method initializes and provides a trigger instance for use NOTE: Manually written
`Trigger`
DataFactoryImpl.`createTrigger()`

## Uses of Trigger in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return types with arguments of type Trigger
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Trigger>`
Block.`getTriggers()`
Returns the value of the 'Triggers' containment reference list.

## Uses of Trigger in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return types with arguments of type Trigger
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Trigger>`
BlockImpl.`getTriggers()`

## Uses of Trigger in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Trigger
Modifier and Type
Method
Description
`void`
BaseRenderer.`processTrigger(Trigger tg, StructureSource source)`
post-process the triggers.